Oore CI

Create a latest-build install link

A permanent link that always opens the newest successful build of the pipeline for one platform, optionally on one branch. The url is only returned here.

Operation IDcreate_latest_install_link
POST
/v1/pipelines/{pipeline_id}/latest-links

A permanent link that always opens the newest successful build of the pipeline for one platform, optionally on one branch. The url is only returned here.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

pipeline_id*string

Pipeline ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/pipelines/string/latest-links" \  -H "Content-Type: application/json" \  -d '{    "platform": "android"  }'
{  "branch": "string",  "created_at": 0,  "created_by_email": "string",  "id": "string",  "last_used_at": 0,  "pipeline_id": "string",  "platform": "android",  "prefix": "string",  "project_id": "string",  "url": "string",  "use_count": 0}